Expat XML library vulnerability CVE-2015-1283

2016-10-11T21:58:00
ID F5:K15104541
Type f5
Reporter f5
Modified 2020-03-17T18:33:00

Description

F5 Product Development has assigned ID 617147 (BIG-IP), ID 617963 (BIG-IQ), ID 618241 (Enterprise Manager), and ID 528541 (ARX) to this vulnerability. Additionally, BIG-IP iHealth may list Heuristic H15104541 on the Diagnostics > Identified > Medium screen.

To determine if your release is known to be vulnerable, the components or features that are affected by the vulnerability, and for information about releases or hotfixes that address the vulnerability, refer to the following table:

Product | Versions known to be vulnerable | Versions known to be not vulnerable | Severity | Vulnerable component or feature
---|---|---|---|---
BIG-IP LTM | 12.0.0 - 12.1.5
11.4.0 - 11.6.5
11.2.1 | 13.0.0 - 13.1.1
10.2.1 - 10.2.4 | Medium | iControl Soap
BIG-IP AAM | 12.0.0 - 12.1.5
11.4.0 - 11.6.5 | 13.0.0 - 13.1.1 | Medium | iControl Soap
BIG-IP AFM | 12.0.0 - 12.1.5
11.4.0 - 11.6.5 | 13.0.0 - 13.1.1 | Medium | iControl Soap
BIG-IP Analytics | 12.0.0 - 12.1.5
11.4.0 - 11.6.5
11.2.1 | 13.0.0 - 13.1.1 | Medium | iControl Soap
BIG-IP APM | 12.0.0 - 12.1.5
11.4.0 - 11.6.5
11.2.1 | 13.0.0 - 13.1.1
10.2.1 - 10.2.4 | Medium | iControl Soap
BIG-IP ASM | 12.0.0 - 12.1.5
11.4.0 - 11.6.5
11.2.1 | 13.0.0 - 13.1.1
10.2.1 - 10.2.4 | Medium | iControl Soap
BIG-IP DNS | 12.0.0 - 12.1.5 | 13.0.0 - 13.1.1 | Medium | iControl Soap
BIG-IP Edge Gateway | 11.2.1 | 10.2.1 - 10.2.4 | Medium | iControl Soap
BIG-IP GTM | 11.4.0 - 11.6.5
11.2.1 | 10.2.1 - 10.2.4 | Medium | iControl Soap
BIG-IP Link Controller | 12.0.0 - 12.1.5
11.4.0 - 11.6.5
11.2.1 | 13.0.0 - 13.1.1
10.2.1 - 10.2.4 | Medium | iControl Soap
BIG-IP PEM | 12.0.0 - 12.1.5
11.4.0 - 11.6.5 | 13.0.0 - 13.1.1 | Medium | iControl Soap
BIG-IP PSM | 11.4.0 - 11.4.1 | 10.2.1 - 10.2.4 | Medium | iControl Soap
BIG-IP WebAccelerator | 11.2.1 | 10.2.1 - 10.2.4 | Medium | iControl Soap
BIG-IP WOM | 11.2.1 | 10.2.1 - 10.2.4 | Medium | iControl Soap
BIG-IP WebSafe | 12.0.0 - 12.1.5
11.6.0 - 11.6.5 | 13.0.0 - 13.1.1 | Medium

| iControl Soap
ARX | 6.2.0 - 6.4.0 | None | Low | Expat XML parser library
Enterprise Manager | 3.1.1 | None | Medium | iControl Soap
FirePass | None | 7.0.0 | Not vulnerable | None
BIG-IQ Cloud | 4.0.0 - 4.5.0 | None | Medium | iControl Soap
BIG-IQ Device | 4.2.0 - 4.5.0 | None | Medium | iControl Soap
BIG-IQ Security | 4.0.0 - 4.5.0 | None | Medium | iControl Soap
BIG-IQ ADC | 4.5.0 | None | Medium | iControl Soap
BIG-IQ Centralized Management | 5.0.0 - 5.1.0
4.6.0 | None | Medium | iControl Soap
BIG-IQ Cloud and Orchestration | 1.0.0 | None | Medium | iControl Soap
F5 iWorkflow | 2.0.0 | None | Medium | iControl Soap
LineRate | None | 2.5.0 - 2.6.1 | Not vulnerable | None
Traffix SDC | None | 5.0.0
4.0.0 - 4.4.0 | Not vulnerable | None

If you are running a version listed in the Versions known to be vulnerable column, you can eliminate this vulnerability by upgrading to a version listed in the Versions known to be not vulnerable column. If the table lists only an older version than what you are currently running, or does not list a non-vulnerable version, then no upgrade candidate currently exists.

To determine the necessary upgrade path for your BIG-IQ system, you should understand the BIG-IQ product offering name changes. For more information, refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow systems.